Index: contrib/crossrpms/rtems4.11/arm-eabi/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/arm-eabi/Makefile.am	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/arm-eabi/Makefile.am	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -12,10 +12,10 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.6.1
+GCC_VERS = 4.6.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 9
+GCC_RPMREL = 1
 NEWLIB_VERS = 1.19.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 10`
+NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 19`
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.11/arm-eabi/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/arm-eabi/gcc-sources.add	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/arm-eabi/gcc-sources.add	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -1,5 +1,5 @@
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -9,5 +9,5 @@
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
Index: contrib/crossrpms/rtems4.11/arm/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/arm/Makefile.am	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/arm/Makefile.am	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -12,11 +12,11 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.6.1
+GCC_VERS = 4.6.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 9
+GCC_RPMREL = 1
 
 NEWLIB_VERS = 1.19.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 10`
+NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 19`
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.11/arm/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/arm/gcc-sources.add	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/arm/gcc-sources.add	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -1,5 +1,5 @@
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -9,5 +9,5 @@
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
Index: contrib/crossrpms/rtems4.11/avr/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/avr/Makefile.am	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/avr/Makefile.am	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -12,10 +12,10 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.6.1
+GCC_VERS = 4.6.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 9
+GCC_RPMREL = 1
 NEWLIB_VERS = 1.19.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 10`
+NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 19`
 include ../gcc.am
 GCC_OPTS +=
Index: contrib/crossrpms/rtems4.11/avr/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/avr/gcc-sources.add	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/avr/gcc-sources.add	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -1,5 +1,5 @@
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -9,5 +9,5 @@
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
Index: contrib/crossrpms/rtems4.11/bfin/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/bfin/Makefile.am	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/bfin/Makefile.am	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -12,10 +12,10 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.6.1
+GCC_VERS = 4.6.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 9
+GCC_RPMREL = 1
 NEWLIB_VERS = 1.19.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 10`
+NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 19`
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.11/bfin/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/bfin/gcc-sources.add	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/bfin/gcc-sources.add	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -1,5 +1,5 @@
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -9,5 +9,5 @@
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
Index: contrib/crossrpms/rtems4.11/h8300/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/h8300/gcc-sources.add	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/h8300/gcc-sources.add	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -1,5 +1,5 @@
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -9,5 +9,5 @@
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
Index: contrib/crossrpms/rtems4.11/i386/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/i386/Makefile.am	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/i386/Makefile.am	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -12,10 +12,10 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.6.1
+GCC_VERS = 4.6.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 9
+GCC_RPMREL = 1
 NEWLIB_VERS = 1.19.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 10`
+NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 19`
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.11/i386/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/i386/gcc-sources.add	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/i386/gcc-sources.add	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -1,5 +1,5 @@
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -9,5 +9,5 @@
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
@@ -34,4 +34,13 @@
 
 %endif
+%if %build_go
+%if !%build_gcj
+Source3:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-java-%{gcc_pkgvers}.tar.bz2
+
+%endif
+Source6:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-go-%{gcc_pkgvers}.tar.bz2
+Patch6:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-go-4.6.0-rtems4.11-20110401.diff
+
+%endif
 %if %build_newlib
 %if "%{newlib_version}" == "1.19.0"
Index: contrib/crossrpms/rtems4.11/lm32/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/lm32/gcc-sources.add	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/lm32/gcc-sources.add	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -1,5 +1,5 @@
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -9,5 +9,5 @@
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
Index: contrib/crossrpms/rtems4.11/m32c/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/m32c/Makefile.am	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/m32c/Makefile.am	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -12,10 +12,10 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.6.1
+GCC_VERS = 4.6.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 9
+GCC_RPMREL = 1
 NEWLIB_VERS = 1.19.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 10`
+NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 19`
 include ../gcc.am
 GCC_OPTS +=
Index: contrib/crossrpms/rtems4.11/m32c/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/m32c/gcc-sources.add	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/m32c/gcc-sources.add	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -1,5 +1,5 @@
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -9,5 +9,5 @@
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
Index: contrib/crossrpms/rtems4.11/m32r/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/m32r/Makefile.am	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/m32r/Makefile.am	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -12,10 +12,10 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.6.1
+GCC_VERS = 4.6.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 9
+GCC_RPMREL = 1
 NEWLIB_VERS = 1.19.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 10`
+NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 19`
 include ../gcc.am
 GCC_OPTS +=
Index: contrib/crossrpms/rtems4.11/m32r/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/m32r/gcc-sources.add	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/m32r/gcc-sources.add	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -1,5 +1,5 @@
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -9,5 +9,5 @@
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
Index: contrib/crossrpms/rtems4.11/m68k/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/m68k/Makefile.am	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/m68k/Makefile.am	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -12,10 +12,10 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.6.1
+GCC_VERS = 4.6.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 9
+GCC_RPMREL = 1
 NEWLIB_VERS = 1.19.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 10`
+NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 19`
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.11/m68k/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/m68k/gcc-sources.add	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/m68k/gcc-sources.add	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -1,5 +1,5 @@
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -9,5 +9,5 @@
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
Index: contrib/crossrpms/rtems4.11/mips/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/mips/Makefile.am	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/mips/Makefile.am	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -12,10 +12,10 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.6.1
+GCC_VERS = 4.6.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 9
+GCC_RPMREL = 1
 NEWLIB_VERS = 1.19.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 10`
+NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 19`
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.11/mips/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/mips/gcc-sources.add	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/mips/gcc-sources.add	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -1,5 +1,5 @@
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -9,5 +9,5 @@
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
Index: contrib/crossrpms/rtems4.11/powerpc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/powerpc/Makefile.am	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/powerpc/Makefile.am	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -12,10 +12,10 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.6.1
+GCC_VERS = 4.6.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 9
+GCC_RPMREL = 1
 NEWLIB_VERS = 1.19.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 10`
+NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 19`
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.11/powerpc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/powerpc/gcc-sources.add	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/powerpc/gcc-sources.add	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -1,5 +1,5 @@
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110825.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -9,5 +9,5 @@
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
Index: contrib/crossrpms/rtems4.11/sh/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/sh/Makefile.am	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/sh/Makefile.am	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -12,10 +12,10 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.6.1
+GCC_VERS = 4.6.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 9
+GCC_RPMREL = 1
 NEWLIB_VERS = 1.19.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 10`
+NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 19`
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.11/sh/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/sh/gcc-sources.add	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/sh/gcc-sources.add	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -1,5 +1,5 @@
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -9,5 +9,5 @@
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
Index: contrib/crossrpms/rtems4.11/sparc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/sparc/Makefile.am	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/sparc/Makefile.am	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -12,10 +12,10 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.6.1
+GCC_VERS = 4.6.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 9
+GCC_RPMREL = 1
 NEWLIB_VERS = 1.19.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 10`
+NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 19`
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.11/sparc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/sparc/gcc-sources.add	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/sparc/gcc-sources.add	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -1,5 +1,5 @@
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -9,5 +9,5 @@
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
Index: contrib/crossrpms/rtems4.11/sparc64/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.11/sparc64/Makefile.am	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/sparc64/Makefile.am	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -12,10 +12,10 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.6.1
+GCC_VERS = 4.6.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 9
+GCC_RPMREL = 1
 NEWLIB_VERS = 1.19.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 10`
+NEWLIB_RPMREL = `expr $(GCC_RPMREL) + 19`
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.11/sparc64/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/sparc64/gcc-sources.add	(revision 243b1ccb5c144057593079e389668c664766436d)
+++ contrib/crossrpms/rtems4.11/sparc64/gcc-sources.add	(revision f2825667405f248616ac63c0850b36cf6c7bb2de)
@@ -1,5 +1,5 @@
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110715.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.2-rtems4.11-20111028.diff
 %endif
 %if "%{gcc_version}" == "4.5.3"
@@ -9,5 +9,5 @@
 
 %if %build_cxx
-%if "%{gcc_version}" == "4.6.1"
+%if "%{gcc_version}" == "4.6.2"
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
